WriterPlsParserInternal::GraphicInfo Struct Reference

Internal: class to store the Graphic properties. More...

## Public Member Functions

| GraphicInfo ()

## Public Attributes

int | m_width
| the first character
int | m_graphicWidth
| the graphic width
int | m_flags [7]
| some flag

## Friends

std::ostream & | operator<< (std::ostream &o, GraphicInfo const &g)
| operator<<

## Detailed Description

Internal: class to store the Graphic properties.

## Constructor & Destructor Documentation

## GraphicInfo()

WriterPlsParserInternal::GraphicInfo::GraphicInfo | ( |  | ) |

inline

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | GraphicInfo const & | g )

friend

operator<<

## Member Data Documentation

## m_flags

int WriterPlsParserInternal::GraphicInfo::m_flags[7]

some flag

Referenced by GraphicInfo(), operator<<, and WriterPlsParser::readGraphic().

## m_graphicWidth

int WriterPlsParserInternal::GraphicInfo::m_graphicWidth

the graphic width

Referenced by GraphicInfo(), operator<<, and WriterPlsParser::readGraphic().

## m_width

int WriterPlsParserInternal::GraphicInfo::m_width

the first character

the line width

Referenced by GraphicInfo(), operator<<, and WriterPlsParser::readGraphic().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx